Bug 256086 - sysutils/asmctl: Update to 1.9
Summary: sysutils/asmctl: Update to 1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-05-22 14:51 UTC by Yuichiro NAITO
Modified: 2021-05-25 06:05 UTC (History)
2 users (show)

See Also:
naito.yuichiro: maintainer-feedback+


Attachments
asmctl-1.9.patch (923 bytes, patch)
2021-05-22 14:51 UTC, Yuichiro NAITO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuichiro NAITO 2021-05-22 14:51:20 UTC
Created attachment 225177 [details]
asmctl-1.9.patch

Asmctl has been updated to 1.9.
This version supports FreeBSD 13.0 and fixes a typo in the manpage.

The attached `asmctl-1.9.patch` upgrades sysutil/asmctl port.
Please apply to the ports tree.

Thank you!
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-23 02:42:17 UTC
@Reporter Does this change fix a build error for 13 ? If so please set merge-quarterly flag to ?
Comment 2 Yuichiro NAITO 2021-05-23 06:26:43 UTC
(In reply to Kubilay Kocak from comment #1)
>@Reporter Does this change fix a build error for 13 ?

No, the problem that I fixed was a runtime error.
Asmctl-1.7 or 1.8 can be built successfully on FreeBSD 13.0.

> If so please set merge-quarterly flag to ?

So, I keep merge-quartely flag unchanged.
Comment 3 Yuri Victorovich freebsd_committer 2021-05-25 06:04:56 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2021-05-25 06:05:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0f31762c9b7b22607df613b446e7241f929727a7

commit 0f31762c9b7b22607df613b446e7241f929727a7
Author:     Yuichiro NAITO <naito.yuichiro@gmail.com>
AuthorDate: 2021-05-25 06:03:43 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-05-25 06:03:43 +0000

    sysutils/asmctl: Update 1.8 -> 1.9

    PR:             256086

 sysutils/asmctl/Makefile | 2 +-
 sysutils/asmctl/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)